package com.pavis.admin.aigc.enums;

/**
 * 智能体执行状态
 */
public enum AgentState {

    NOT_STARTED("not_started"), IN_PROGRESS("in_progress"), COMPLETED("completed"), BLOCKED("blocked"),
    FAILED("failed");

    private final String state;

    AgentState(String state) {
        this.state = state;
    }

    @Override
    public String toString() {
        return state;
    }

}
